Package com.mockobjects.servlet

# Class MockServletOutputStream

ServletOutputStream
com.mockobjects.servlet.MockServletOutputStream

public class MockServletOutputStream extends ServletOutputStream

## Constructor Summary

Constructors
Constructor
Description
`MockServletOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String`
`getContents()`
`void`
`setExpectedCloseCalls(int closeCall)`
`void`
`setExpectingWriteCalls(boolean expectingWriteCall)`
`void`
`setThrowIOException(boolean throwException)`
`void`
`setupClearContents()`
`String`
`toString()`
`void`
`verify()`
`void`
`write(int b)`

## Constructor Details

### MockServletOutputStream

public MockServletOutputStream()

## Method Details

### setExpectedCloseCalls

public void setExpectedCloseCalls(int closeCall)

### setExpectingWriteCalls

public void setExpectingWriteCalls(boolean expectingWriteCall)

### setThrowIOException

public void setThrowIOException(boolean throwException)

### close

public void close() throws IOException

Throws:
  `IOException`

### toString

public String toString()

### write

public void write(int b) throws IOException

Throws:
  `IOException`

### setupClearContents

public void setupClearContents()

### getContents

public String getContents()

### verify

public void verify()